| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Enumerations | Variables
webview.h File Reference

## Classes

class | wxWebViewHistoryItem
| A simple class that contains the URL and title of an element of the history of a wxWebView. More...
class | wxWebViewFactory
| An abstract factory class for creating wxWebView backends. More...
class | wxWebViewHandler
| The base class for handling custom schemes in wxWebView, for example to allow virtual file system support. More...
class | wxWebView
| This control may be used to render web (HTML / CSS / javascript) documents. More...
class | wxWebViewEvent
| A navigation event holds information about events associated with wxWebView objects. More...

## Enumerations

enum | wxWebViewZoom { wxWEBVIEW_ZOOM_TINY, wxWEBVIEW_ZOOM_SMALL, wxWEBVIEW_ZOOM_MEDIUM, wxWEBVIEW_ZOOM_LARGE, wxWEBVIEW_ZOOM_LARGEST }
| Zoom levels available in wxWebView. More...
enum | wxWebViewZoomType { wxWEBVIEW_ZOOM_TYPE_LAYOUT, wxWEBVIEW_ZOOM_TYPE_TEXT }
| The type of zooming that the web view control can perform. More...
enum | wxWebViewNavigationError { wxWEBVIEW_NAV_ERR_CONNECTION, wxWEBVIEW_NAV_ERR_CERTIFICATE, wxWEBVIEW_NAV_ERR_AUTH, wxWEBVIEW_NAV_ERR_SECURITY, wxWEBVIEW_NAV_ERR_NOT_FOUND, wxWEBVIEW_NAV_ERR_REQUEST, wxWEBVIEW_NAV_ERR_USER_CANCELLED, wxWEBVIEW_NAV_ERR_OTHER }
| Types of errors that can cause navigation to fail. More...
enum | wxWebViewReloadFlags { wxWEBVIEW_RELOAD_DEFAULT, wxWEBVIEW_RELOAD_NO_CACHE }
| Type of refresh. More...
enum | wxWebViewFindFlags { wxWEBVIEW_FIND_WRAP = 0x0001, wxWEBVIEW_FIND_ENTIRE_WORD = 0x0002, wxWEBVIEW_FIND_MATCH_CASE = 0x0004, wxWEBVIEW_FIND_HIGHLIGHT_RESULT = 0x0008, wxWEBVIEW_FIND_BACKWARDS = 0x0010, wxWEBVIEW_FIND_DEFAULT = 0 }
| Find flags used when searching for text on page. More...

## Variables

wxEventType | wxEVT_WEBVIEW_NAVIGATING
wxEventType | wxEVT_WEBVIEW_NAVIGATED
wxEventType | wxEVT_WEBVIEW_LOADED
wxEventType | wxEVT_WEBVIEW_ERROR
wxEventType | wxEVT_WEBVIEW_NEWWINDOW
wxEventType | wxEVT_WEBVIEW_TITLE_CHANGED

## Enumeration Type Documentation

enum wxWebViewFindFlags

Find flags used when searching for text on page.

Enumerator
wxWEBVIEW_FIND_WRAP | Causes the search to restart when end or beginning reached.
wxWEBVIEW_FIND_ENTIRE_WORD | Matches an entire word when searching.
wxWEBVIEW_FIND_MATCH_CASE | Match case, i.e. case sensitive searching
wxWEBVIEW_FIND_HIGHLIGHT_RESULT | Highlights the search results.
wxWEBVIEW_FIND_BACKWARDS | Searches for phrase in backward direction.
wxWEBVIEW_FIND_DEFAULT | The default flag, which is simple searching.

enum wxWebViewNavigationError

Types of errors that can cause navigation to fail.

Enumerator
wxWEBVIEW_NAV_ERR_CONNECTION | Connection error (timeout, etc.)
wxWEBVIEW_NAV_ERR_CERTIFICATE | Invalid certificate.
wxWEBVIEW_NAV_ERR_AUTH | Authentication required.
wxWEBVIEW_NAV_ERR_SECURITY | Other security error.
wxWEBVIEW_NAV_ERR_NOT_FOUND | Requested resource not found.
wxWEBVIEW_NAV_ERR_REQUEST | Invalid request/parameters (e.g. bad URL, bad protocol, unsupported resource type)
wxWEBVIEW_NAV_ERR_USER_CANCELLED | The user cancelled (e.g. in a dialog)
wxWEBVIEW_NAV_ERR_OTHER | Another (exotic) type of error that didn't fit in other categories.

enum wxWebViewReloadFlags

Type of refresh.

Enumerator
wxWEBVIEW_RELOAD_DEFAULT | Default reload, will access cache.
wxWEBVIEW_RELOAD_NO_CACHE | Reload the current view without accessing the cache.

enum wxWebViewZoom

Zoom levels available in wxWebView.

Enumerator
wxWEBVIEW_ZOOM_TINY |
wxWEBVIEW_ZOOM_SMALL |
wxWEBVIEW_ZOOM_MEDIUM | default size
wxWEBVIEW_ZOOM_LARGE |
wxWEBVIEW_ZOOM_LARGEST |

enum wxWebViewZoomType

The type of zooming that the web view control can perform.

Enumerator
wxWEBVIEW_ZOOM_TYPE_LAYOUT | The entire layout scales when zooming, including images.
wxWEBVIEW_ZOOM_TYPE_TEXT | Only the text changes in size when zooming, images and other layout elements retain their initial size.

## Variable Documentation

wxEventType wxEVT_WEBVIEW_ERROR

wxEventType wxEVT_WEBVIEW_LOADED

wxEventType wxEVT_WEBVIEW_NAVIGATED

wxEventType wxEVT_WEBVIEW_NAVIGATING

wxEventType wxEVT_WEBVIEW_NEWWINDOW

wxEventType wxEVT_WEBVIEW_TITLE_CHANGED